Package org.apache.storm.trident.operation.impl

# Class PreservingFieldsOrderJoinerMultiReducer

java.lang.Object
org.apache.storm.trident.operation.impl.PreservingFieldsOrderJoinerMultiReducer

All Implemented Interfaces:
  `Serializable`, `GroupedMultiReducer<JoinState>`

public class PreservingFieldsOrderJoinerMultiReducer extends Object implements GroupedMultiReducer<JoinState>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservingFieldsOrderJoinerMultiReducer(List<JoinType> types, int numGroupFields, List<Fields> origins, List<Fields> joins, List<Fields> sides)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  `void`
  `complete(JoinState state, TridentTuple group, TridentCollector collector)`
  `void`
  `execute(JoinState state, int streamIndex, TridentTuple group, TridentTuple input, TridentCollector collector)`
  `JoinState`
  `init(TridentCollector collector, TridentTuple group)`
  `void`
  `prepare(Map<String,Object> conf, TridentMultiReducerContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreservingFieldsOrderJoinerMultiReducer

    public PreservingFieldsOrderJoinerMultiReducer(List<JoinType> types, int numGroupFields, List<Fields> origins, List<Fields> joins, List<Fields> sides)

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> conf, TridentMultiReducerContext context)
    Specified by:
      `prepare` in interface `GroupedMultiReducer<JoinState>`

  - ### init

    public JoinState init(TridentCollector collector, TridentTuple group)
    Specified by:
      `init` in interface `GroupedMultiReducer<JoinState>`

  - ### execute

    public void execute(JoinState state, int streamIndex, TridentTuple group, TridentTuple input, TridentCollector collector)
    Specified by:
      `execute` in interface `GroupedMultiReducer<JoinState>`

  - ### complete

    public void complete(JoinState state, TridentTuple group, TridentCollector collector)
    Specified by:
      `complete` in interface `GroupedMultiReducer<JoinState>`

  - ### cleanup

    public void cleanup()
    Specified by:
      `cleanup` in interface `GroupedMultiReducer<JoinState>`